prometheus:
  url: http://prometheus-operated

resources:
  requests:
    cpu: 100m
    memory: 256Mi
  limits:
    cpu: 1
    memory: 1Gi

rules:
  default: false
  custom:
    - seriesQuery: '{__name__=~"nginx_ingress_controller_requests",namespace!="",pod!=""}'
      resources:
        overrides:
          exported_namespace:
            resource: namespace
          exported_service:
            resource: service
      name:
        matches: ^nginx_ingress_controller_(.*)
        as: ${1}_per_second_via_ingress
        
      metricsQuery: sum(rate(<<.Series>>{<<.LabelMatchers>>}[2m])) by (<<.GroupBy>>)